%global eppic_ver e8844d3793471163ae4a56d8f95897be9e5bd554
%global eppic_shortver %(c=%{eppic_ver}; echo ${c:0:7})
Name: makedumpfile
Version: 1.7.3
Summary: makedumpfile package
Release: 1%{?dist}

License: GPL-2.0-only
URL: https://github.com/makedumpfile/makedumpfile
Source0: https://github.com/makedumpfile/rhkdump/archive/%{version}/%{name}-%{version}.tar.gz
Source1: https://github.com/lucchouina/eppic/archive/%{eppic_ver}/eppic-%{eppic_shortver}.tar.gz
# [PATCH] Mark start of 1.7.4 development phase with version 1.7.3++
# Author: Kazuhito Hagio <k-hagio-ab@nec.com>
Patch1:  0001-PATCH-Mark-start-of-1.7.4-development-phase-with-ver.patch
# [PATCH] Add debugging information for DWARF information retrieval
# Author: Kazuhito Hagio <k-hagio-ab@nec.com>
Patch2:  0002-PATCH-Add-debugging-information-for-DWARF-informatio.patch
# [PATCH] Support struct module_memory on Linux 6.4 and later
# Author: Kazuhito Hagio <k-hagio-ab@nec.com>
Patch3:  0003-PATCH-Support-struct-module_memory-on-Linux-6.4-and-.patch

Requires(pre): zlib
BuildRequires: make
BuildRequires: gcc
BuildRequires: zlib-devel
BuildRequires: elfutils-devel
BuildRequires: glib2-devel
BuildRequires: bzip2-devel
BuildRequires: ncurses-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: lzo-devel
BuildRequires: snappy-devel
BuildRequires: libzstd-devel
BuildRequires: pkgconfig 
BuildRequires: intltool
BuildRequires: gettext

%description
make a small dumpfile of kdump

%prep

%autosetup
tar -z -x -v -f %{SOURCE1}

%build
make LINKTYPE=dynamic USELZO=on USESNAPPY=on USEZSTD=on
make -C eppic-%{eppic_ver}/libeppic
make LDFLAGS="$LDFLAGS -Ieppic-%{eppic_ver}/libeppic -Leppic-%{eppic_ver}/libeppic" eppic_makedumpfile.so

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}

install -m 755 makedumpfile $RPM_BUILD_ROOT/usr/sbin/makedumpfile
install -m 644 makedumpfile.8 $RPM_BUILD_ROOT/%{_mandir}/man8/makedumpfile.8
install -m 644 makedumpfile.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5/makedumpfile.conf.5
install -m 644 makedumpfile.conf $RPM_BUILD_ROOT/%{_sysconfdir}/makedumpfile.conf.sample

mkdir -p -m755 $RPM_BUILD_ROOT%{_libdir}
install -m 755 eppic_makedumpfile.so $RPM_BUILD_ROOT/%{_libdir}/eppic_makedumpfile.so
mkdir -p $RPM_BUILD_ROOT/usr/share/makedumpfile/eppic_scripts/
install -m 644 eppic_scripts/* $RPM_BUILD_ROOT/usr/share/makedumpfile/eppic_scripts/

%files
/usr/sbin/makedumpfile
/usr/share/man/man5/makedumpfile.conf.5.gz
/usr/share/man/man8/makedumpfile.8.gz
%{_sysconfdir}/makedumpfile.conf.sample
%{_libdir}/eppic_makedumpfile.so
/usr/share/makedumpfile/

%changelog
* Wed Jun 14 2023 Coiby <coxu@redhat.com> - 1.7.3-1
- init packit config
